name = "xtablo-ui"
main = "worker/index.ts"
compatibility_date = "2025-07-09"

[assets]
directory = "./dist/"
not_found_handling = "single-page-application"

[observability]
enabled = true

[vars]
PYTHON_VERSION = "3.11.5"

[env.production]
route = { pattern = "app.xtablo.com", custom_domain = true }

[env.staging]
route = { pattern = "app-staging.xtablo.com", custom_domain = true }